import { FormTableNormalPlugin } from '@ahooksjs/use-table';
declare type TQuery = () => Promise<any>;
export interface IOptions {
    query: TQuery | TQuery[];
    field: string | string[];
    isDefault?: boolean;
    setDefaultValue?: () => void;
}
export declare type TUseAsyncDefaultPlugin = (params: IOptions) => FormTableNormalPlugin;
interface IEnum {
    label: string;
    value: any;
}
export declare type IGetValue = (data: IEnum[], name?: string) => string;
export {};
